from rest_framework.generics import ListAPIView, RetrieveAPIView

from reqman.apps.account.models import User
from reqman.apps.reqtool.rest_api.serializers import UserSerializer

class UserList(ListAPIView):
    queryset = User.objects.all()
    serializer_class = UserSerializer


class UserDetail(RetrieveAPIView):
    queryset = User.objects.all()
    serializer_class = UserSerializer